"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _formatDate = require("../../utils/formatDate");

var _index = require("../../index");

var _Marker = _interopRequireDefault(require("./Marker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var PointerMarker = function PointerMarker(_ref) {
  var date = _ref.date,
      visible = _ref.visible,
      highlighted = _ref.highlighted;

  var _useContext = (0, _react.useContext)(_index.globalContext),
      time = _useContext.time;

  return _react.default.createElement(_Marker.default, {
    modifier: "pointer",
    x: time.toX(date),
    visible: visible,
    highlighted: highlighted
  }, _react.default.createElement("div", null, _react.default.createElement("div", null, _react.default.createElement("span", null, (0, _formatDate.getDayMonth)(date)))));
};

PointerMarker.propTypes = {
  date: _propTypes.default.instanceOf(Date).isRequired,
  visible: _propTypes.default.bool,
  highlighted: _propTypes.default.bool
};
var _default = PointerMarker;
exports.default = _default;